# $Revision: 1.24 $, $Date: 2012/01/11 21:45:52 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Twofish
Summary:	Crypt::Twofish Perl module - the Twofish encryption algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::Twofish - algorytm szyfrowania Twofish
Name:		perl-Crypt-Twofish
Version:	2.14
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	295c059d18f9a46dd14bd765fc465318
URL:		http://search.cpan.org/dist/Crypt-Twofish/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements Twofish encryption. It supports the Crypt::CBC
interface. Twofish is a 128-bit symmetric block cipher with a variable
length (128, 192, or 256-bit) key, developed by Counterpane Labs. It
is unpatented and free for all uses, as described at
<http://www.counterpane.com/twofish.html>.

%description -l pl.UTF-8
Ten moduł jest implementacją szyfrowania Twofish. Obsługuje interfejs
Crypt::CBC. Twofish jest 128-bitowym symetrycznym szyfrem blokowym ze
zmienną długością klucza (128, 192 lub 256 bitów), opracowanym przez
Counterpane Labs. Nie jest opatentowany i można go swobodnie używać
do dowolnych celów, zgodnie z opisem pod adresem
<http://www.counterpane.com/twofish.html>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Twofish.pm
%dir %{perl_vendorarch}/auto/Crypt/Twofish
%{perl_vendorarch}/auto/Crypt/Twofish/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Twofish/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Twofish.spec,v $
Revision 1.24  2012/01/11 21:45:52  zbyniu
- up to 2.14

Revision 1.23  2011/10/11 08:17:38  lisu
- rel 4

Revision 1.22  2010/11/12 23:38:03  pawelz
- release 3

Revision 1.21  2010/06/06 08:33:47  arekm
- release 2

Revision 1.20  2009/06/18 08:10:10  amateja
- updated to 2.13

Revision 1.19  2009/03/14 11:37:37  hawk
- release 5

Revision 1.18  2008/03/15 20:53:21  qboosh
- generic URL

Revision 1.17  2008-02-10 12:05:53  arekm
- rel 4

Revision 1.16  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.15  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:14  paladine
- formatting

Revision 1.12  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.9  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.8  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.7  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:06  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:34  qboosh
- new
